const { colors } = require('../colors');
const { shadows } = require('../../../src');

const popoverStyles = {
  boxShadow: `${shadows.border['border-shadow']}, ${shadows.outer['shadow-3']}`,
  arrowColor: colors['gray-200'],
  light: {
    background: colors.white,
  },
  dark: {
    background: colors['gray-50'],
  },
};

module.exports = { popoverStyles };
