const { pxToRem } = require('./utils');

const base = 6;
const multipliers = Array.from({ length: 11 }, (value, index) => index);
const scale = multipliers.reduce((obj, scaleNum) => {
  const value = pxToRem(scaleNum * base);
  // eslint-disable-next-line no-param-reassign
  obj[`spacing-${scaleNum}`] = scaleNum === 0 ? 0 : value;
  return obj;
}, {});

module.exports = {
  base,
  multipliers,
  scale,
};
