const pxToRem = (value, { base = 16, decimals = 5 } = {}) => {
  if (value === 0) return '0';
  const result = parseFloat((value / base).toFixed(decimals));
  return `${result}rem`;
};

const cssUnitFromSize = size => size.replace(/.+?([^\d]+$)/, '$1');

module.exports = {
  pxToRem,
  cssUnitFromSize,
};
